## org.apache.commons.math3.analysis.function
Class Sinc

    java.lang.Object
      org.apache.commons.math3.analysis.function.Sinc

All Implemented Interfaces:
  DifferentiableUnivariateFunction, UnivariateFunction

    public class Sinc

extends Object
implements DifferentiableUnivariateFunction

Sinc function, defined by

       sinc(x) = 1            if x = 0,
                 sin(x) / x   otherwise.

Since:
  3.0
Version:
  $Id$

Field Summary
`private boolean` `normalized` For normalized sinc function.
`private static double` `SHORTCUT` Value below which the result of the computation will not change anymore due to the finite precision of the "double" representation of real numbers.

Constructor Summary
`Sinc()` The sinc function, `sin(x) / x`.
`Sinc(boolean normalized)` Instantiates the sinc function.

Method Summary
`UnivariateFunction` `derivative()` Returns the derivative of the function
`private static double` `sinc(double x)`
`private static double` `sincDerivative(double x)`
`double` `value(double x)` Compute the value of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHORTCUT

    private static final double SHORTCUT

  Value below which the result of the computation will not change anymore due to the finite precision of the "double" representation of real numbers.

  See Also:
    Constant Field Values

### normalized

    private final boolean normalized

  For normalized sinc function.

Constructor Detail

### Sinc

    public Sinc()

  The sinc function, `sin(x) / x`.

### Sinc

    public Sinc(boolean normalized)

  Instantiates the sinc function.

  Parameters:
    `normalized` - If `true`, the function is `sin(πx) / πx`, otherwise `sin(x) / x`.

Method Detail

### value

    public double value(double x)

  Compute the value of the function.

  Specified by:
    `value` in interface `UnivariateFunction`
  Parameters:
    `x` - Point at which the function value should be computed.
  Returns:
    the value of the function.

### derivative

    public UnivariateFunction derivative()

  Returns the derivative of the function

  Specified by:
    `derivative` in interface `DifferentiableUnivariateFunction`
  Returns:
    the derivative function

### sinc

    private static double sinc(double x)

  Parameters:
    `x` - Argument.
  Returns:
    `sin(x) / x`.

### sincDerivative

    private static double sincDerivative(double x)

  Parameters:
    `x` - Argument.
  Returns:
    `(cos(x) - sin(x) / x) / x`.

Copyright (c) 2003-2013 Apache Software Foundation